Subject: Re: Again with the firewire

From: [email-masked]
Date: Thu, 22 Nov 2001 12:00:36 +0100

>I actually just had the same thing happen, only the entire console froze,
>X and all. I don't know if the kernel was still working or not, I didn't
>have another machine connected at the time. However, this is actually an
>improvement for me - the ohci1394 module doesn't lock the PMU up and cause
>the system to suddenly shutdown (this is a FireWire iBook). If I boot the
>system with the FireWire device - a QPS CD-RW drive - plugged in, all is
>fine.
>
>Ben? The FireWire controller didn't seem to have a problem with power
>management per se - I ran 'gscanbus' after a suspend/unsuspend cycle, and
>it seemed to be ok with that.

Well, there is no code to handle power management in the driver, and
the controller do get powered down, so... If it works, maybe you are
just lucky ;)

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/